import resolve from '@rollup/plugin-node-resolve';
import commonjs from '@rollup/plugin-commonjs';
import terser from '@rollup/plugin-terser';

export default {
  input: 'src/featherScroll.js', // Path to your main source file
  output: [
    {
      file: 'dist/featherScroll.esm.js',
      format: 'esm',
      sourcemap: true,
    },
    {
      file: 'dist/featherScroll.min.js',
      format: 'iife',
      name: 'FeatherScroll',
      sourcemap: true,
      plugins: [terser()],
    }
  ],
  plugins: [resolve(), commonjs()]
};